> ## Documentation Index
> Fetch the complete documentation index at: https://docs.presenton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Presentation Sync V3

> Generate a presentation synchronously.

Create an API Key from your account to access this endpoint.
Authorization: Bearer sk-presenton-xxxxxxxx



## OpenAPI

````yaml /api-reference/openapi.json post /api/v3/presentation/generate
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.presenton.ai
security: []
paths:
  /api/v3/presentation/generate:
    post:
      tags:
        - V3 Presentation
      summary: Generate Presentation Sync V3
      description: |-
        Generate a presentation synchronously.

        Create an API Key from your account to access this endpoint.
        Authorization: Bearer sk-presenton-xxxxxxxx
      operationId: generate_presentation_sync_v3_api_v3_presentation_generate_post
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            description: Bearer JWT or API Key
            title: Authorization
          description: Bearer JWT or API Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GeneratePresentationRequestV3'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationPathAndEditPath'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GeneratePresentationRequestV3:
      properties:
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
          description: The content for generating the presentation
        slides:
          anyOf:
            - items:
                $ref: '#/components/schemas/SlideContentLayout'
              type: array
            - type: 'null'
          title: Slides
          description: The content and layout for each slide
        n_slides:
          anyOf:
            - type: integer
            - type: 'null'
          title: N Slides
          description: Number of slides to generate
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
          description: The instruction for generating the presentation
        tone:
          $ref: '#/components/schemas/Tone'
          description: The tone to use for the text
          default: default
        verbosity:
          $ref: '#/components/schemas/Verbosity'
          description: How verbose the text should be
          default: standard
        content_generation:
          anyOf:
            - $ref: '#/components/schemas/ContentGenerationMode'
            - type: 'null'
          description: How to generate the content for each slide
        markdown_emphasis:
          type: boolean
          title: Markdown Emphasis
          description: Whether to emphasize the markdown
          default: true
        web_search:
          type: boolean
          title: Web Search
          description: Whether to enable web search
          default: false
        image_type:
          type: string
          enum:
            - stock
            - ai-generated
          title: Image Type
          description: Type of image to generate
          default: stock
        theme:
          anyOf:
            - type: string
            - type: 'null'
          title: Theme
          description: >-
            Theme to use for the presentation. Available themes: edge-yellow,
            light-rose, mint-blue, professional-blue, professional-dark and your
            custom themes
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
          description: Language for the presentation
        standard_template:
          anyOf:
            - type: string
            - type: 'null'
          title: Standard Template
          description: >-
            Standard template to use for the presentation. Available templates:
            neo-general, neo-modern, neo-standard, neo-swift, general, modern,
            standard, swift and your custom templates
        smart_design:
          anyOf:
            - type: string
            - type: 'null'
          title: Smart Design
          description: Design V2 id to use for the smart presentation
        include_table_of_contents:
          type: boolean
          title: Include Table Of Contents
          description: Whether to include a table of contents
          default: false
        include_title_slide:
          type: boolean
          title: Include Title Slide
          description: Whether to include a title slide
          default: true
        allow_access_to_user_info:
          type: boolean
          title: Allow Access To User Info
          description: Whether to allow access to user's info
          default: true
        files:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Files
          description: >-
            Files to use for the presentation. Use /api/v3/files/upload to
            upload files.
        export_as:
          type: string
          enum:
            - pptx
            - pdf
            - png
          title: Export As
          description: Export format
          default: pptx
        trigger_webhook:
          type: boolean
          title: Trigger Webhook
          description: Whether to trigger subscribed webhooks
          default: false
      type: object
      title: GeneratePresentationRequestV3
    PresentationPathAndEditPath:
      properties:
        presentation_id:
          type: string
          format: uuid
          title: Presentation Id
        path:
          type: string
          title: Path
        edit_path:
          type: string
          title: Edit Path
        credits_consumed:
          type: number
          title: Credits Consumed
      type: object
      required:
        - presentation_id
        - path
        - edit_path
        - credits_consumed
      title: PresentationPathAndEditPath
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SlideContentLayout:
      properties:
        content:
          type: string
          title: Content
        layout:
          anyOf:
            - type: string
            - type: 'null'
          title: Layout
      type: object
      required:
        - content
      title: SlideContentLayout
    Tone:
      type: string
      enum:
        - default
        - casual
        - professional
        - funny
        - educational
        - sales_pitch
      title: Tone
    Verbosity:
      type: string
      enum:
        - concise
        - standard
        - text-heavy
      title: Verbosity
    ContentGenerationMode:
      type: string
      enum:
        - preserve
        - enhance
        - condense
      title: ContentGenerationMode
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````